;###############################################################################
/* Button for LilBuilder

*/
;###############################################################################

Button_CreateMenu(Menu_Button){
  MMenu_Add(Menu_Button, "set left","","","iButton_SetLeft")
  MMenu_Add(Menu_Button, "set right","","","iButton_SetRight")
  MMenu_Add(Menu_Button, "set center","","","iButton_SetCenter")
}

Button_ShowMenu:
  MMenu_Show(Menu_Button, Menu_vX(), Menu_vY(), "Button_OnSelection")
Return

Button_OnSelection:
  If MMenu_ID = Button_SetLeft
    Button_SetLeft(Menu_vGuiHWND(), Menu_vCtrlHWND())
  Else If MMenu_ID = Button_SetRight
    Button_SetRight(Menu_vGuiHWND(), Menu_vCtrlHWND())
  Else If MMenu_ID = Button_SetCenter
    Button_SetCenter(Menu_vGuiHWND(), Menu_vCtrlHWND())
  Else if IsLabel(MMenu_ID)
    GoSub, %MMenu_ID%
Return

;###############################################################################

Button_SetLeft(GuiHWND, CtrlHWND) {
  GuiID := Gui(GuiHWND, "GuiID")
  CtrlID := Control(CtrlHWND, "VarName")
  GuiControl, %GuiID%:+Left, %CtrlID%
  Control_ExchangeProperties(CtrlHWND, "Options", " Left", "Right,Center")
}

Button_SetRight(GuiHWND, CtrlHWND) {
  GuiID := Gui(GuiHWND, "GuiID")
  CtrlID := Control(CtrlHWND, "VarName")
  GuiControl, %GuiID%:+Right, %CtrlID%
  Control_ExchangeProperties(CtrlHWND, "Options", " Right", "Left,Center")
}

Button_SetCenter(GuiHWND, CtrlHWND) {
  GuiID := Gui(GuiHWND, "GuiID")
  CtrlID := Control(CtrlHWND, "VarName")
  GuiControl, %GuiID%:+Center, %CtrlID%
  Control_ExchangeProperties(CtrlHWND, "Options", " Center", "Left,Right")
}
