;###############################################################################
/* Toolbox Context Menu for LilBuilder

*/
;###############################################################################

Toolbox_CreateMenu(Menu_Toolbox, Menu_ToolboxGuis){
  MMenu_Add(Menu_Toolbox, "Show ToolTip for Position and Size","","","iToolbox_ShowTips4Pos")
  MMenu_Add(Menu_Toolbox, "Show Gui","","","m" Menu_ToolboxGuis)
}

Toolbox_ShowMenu:
  Toolbox_PrepareMenu(Menu_Toolbox, Menu_ToolboxGuis)
  MMenu_Show(Menu_Toolbox, Menu_vX(), Menu_vY(), "Toolbox_OnSelection")
Return

Toolbox_OnSelection:
  If MMenu_ID = Toolbox_ShowTips4Pos
    Toolbox_ShowTips4Pos()
  If InStr(MMenu_ID,"ToolBox_ShowGui_") = 1
    ToolBox_ShowGui(SubStr(MMenu_ID,17))
Return

Toolbox_PrepareMenu(Menu_Toolbox, Menu_ToolboxGuis){
  CheckStatus := ToolTip_ShowTips4Pos("ReturnState") ? "+c" : "-c"
  MMenu_Set(Menu_Toolbox,"Toolbox_ShowTips4Pos","","",CheckStatus )
  
  MMenu_RemoveAll(Menu_ToolboxGuis)
  ListOfGuiHWND := Project("ListOfGuiHWND")
  Loop, Parse, ListOfGuiHWND, |
      MMenu_Add(Menu_ToolboxGuis, Gui(A_LoopField,"Content") ,"","","iToolBox_ShowGui_" Gui(A_LoopField,"GuiID"))
}

Toolbox_ShowTips4Pos(){
  If (CurrentState := ToolTip_ShowTips4Pos("ReturnState"))
    ToolTip_ShowTips4Pos("Hide")
  ToolTip_ShowTips4Pos(!CurrentState)
  If (!CurrentState AND Selector_vCtrlHWND())
    ToolTip_ShowTips4Pos()
}

ToolBox_ShowGui(GuiID){
  Gui, %GuiID%:Show
}
